org.eclipse.oomph.predicates

## Interface RepositoryPredicate

- All Superinterfaces:
    EObject, ModelElement, Notifier, Predicate
  All Known Implementing Classes:
    RepositoryPredicateImpl

      public interface RepositoryPredicate
      extends Predicate

  A representation of the model object 'Repository Predicate'.

  The following features are supported:

  - `Project`
  See Also:
    `PredicatesPackage.getRepositoryPredicate()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IProject` | `getProject()` Returns the value of the 'Project' attribute.
    `void` | `setProject(IProject value)` Sets the value of the '`Project`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.predicates.Predicate

      `matches`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getProject

          IProject getProject()

      Returns the value of the 'Project' attribute.

      If the meaning of the 'Project' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Project' attribute.
      See Also:
        `setProject(IProject)`, `PredicatesPackage.getRepositoryPredicate_Project()`
      Generated
      Model
        dataType="org.eclipse.oomph.predicates.Project"

    - #### setProject

          void setProject(IProject value)

      Sets the value of the '`Project`' attribute.
      Parameters:
        `value` - the new value of the 'Project' attribute.
      See Also:
        `getProject()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html